# Class NotSpatioTemporalException

Object
Throwable
Exception
TransformException
NotSpatioTemporalException

All Implemented Interfaces:
  `Serializable`

public class NotSpatioTemporalException extends TransformException
Thrown when an envelope cannot be transformed to a geographic, vertical or temporal extent. This exception occurs when the envelope Coordinate Reference System (CRS) has no spatial or temporal component. For example, it may be an engineering CRS.

Since:
  1.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NotSpatioTemporalException()`
  Constructs a new exception with no detail message.
  `NotSpatioTemporalException(String message)`
  Constructs a new exception with the specified detail message.
  `NotSpatioTemporalException(String message, Throwable cause)`
  Constructs a new exception with the specified detail message and cause.

- ## Method Summary

  ### Methods inherited from class TransformException

  `getLastCompletedTransform, setLastCompletedTransform`

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NotSpatioTemporalException

    public NotSpatioTemporalException()
    Constructs a new exception with no detail message.

  - ### NotSpatioTemporalException

    public NotSpatioTemporalException(String message)
    Constructs a new exception with the specified detail message.
    Parameters:
      `message` - the details message, or `null` if none.

  - ### NotSpatioTemporalException

    public NotSpatioTemporalException(String message, Throwable cause)
    Constructs a new exception with the specified detail message and cause.
    Parameters:
      `message` - the details message, or `null` if none.
      `cause` - the cause, or `null` if none.